Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Class TableMetadata

    java.lang.Object
      org.hibernate.tool.hbm2ddl.TableMetadata

    public class TableMetadata

extends Object

JDBC table metadata

Method Summary
`void` | `addColumn(ResultSet rs)`
`String` | `getCatalog()`
`ColumnMetadata` | `getColumnMetadata(String columnName)`
`ForeignKeyMetadata` | `getForeignKeyMetadata(ForeignKey fk)`
`ForeignKeyMetadata` | `getForeignKeyMetadata(String keyName)`
`IndexMetadata` | `getIndexMetadata(String indexName)`
`String` | `getName()`
`String` | `getSchema()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getCatalog

    public String getCatalog()

### getSchema

    public String getSchema()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getColumnMetadata

    public ColumnMetadata getColumnMetadata(String columnName)

### getForeignKeyMetadata

    public ForeignKeyMetadata getForeignKeyMetadata(String keyName)

### getForeignKeyMetadata

    public ForeignKeyMetadata getForeignKeyMetadata(ForeignKey fk)

### getIndexMetadata

    public IndexMetadata getIndexMetadata(String indexName)

### addColumn

    public void addColumn(ResultSet rs)
                   throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.